Name:           tiemu
Version:        3.04
Release:        0.4.20110801git%{?dist}
Summary:        TI-89 Emulator

Group:          Applications/Communications
License:        GPLv2+
URL:            http://lpg.ticalc.org/prj_tiemu/

# Checkout of the 3.04 pre-release from git.
Source0:        tiemu-3.04a1.tar.gz
#Source0:        http://www.ticalc.org/pub/unix/tiemu.tar.gz

Patch0:         tiemu-string-formatting.patch
Patch1:         tiemu-fpic-68k.patch

# Fixes a FTBFS on F28?
Patch2:         tiemu-libuae-glib-include-order.patch

BuildRequires:  gcc, gcc-c++
BuildRequires:  glib2-devel, pkgconfig, bison, flex, texinfo, groff, xdg-utils, libtool,
BuildRequires:  gtk2-devel, libglade2-devel, SDL-devel, autoconf, automake, zlib-devel,
BuildRequires:  pkgconfig(ticalcs2), pkgconfig(tifiles2), dbus-glib-devel, gettext,
BuildRequires:  gettext-devel, pkgconfig(libusb-1.0)

# To convert  some things.
BuildRequires:  dos2unix, glibc

%description
TiEmu is a full-featured TI89 /Titanium/92/92+/V200 multi-platform emulator.

%prep
%autosetup -p1
#rm po/fr.gmo

dos2unix RELEASE
# We should iconv README.win32 and AUTHORS, but it doesn't work. :/

# I don't understand why this is the easiest way to do this.
sed 's/-Wno-format/-Wno-format -Wno-format-security/g' -i src/core/uae/Makefile

%build
autoreconf -fi
%configure --without-kde --disable-rpath --disable-gdb --with-xinerama --with-dbus
make -C po fr.gmo
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
#install -D -m 644 desktop/kde/tiemu.desktop %{buildroot}%{_datadir}/applications/tiemu.desktop
#desktop-file-validate %{buildroot}%{_datadir}/applications/tiemu.desktop
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/tiemu
%{_mandir}/man1/tiemu.1.*
%{_datadir}/tiemu/
#%{_datadir}/applications/tiemu.desktop

%doc README README.linux README.win32 RELEASE NEWS AUTHORS ABOUT-NLS
%license COPYING

%changelog
* Fri May 11 2018 Ben Rosser <rosser.bjr@gmail.com> - 3.04-0.4.20110801git
- Update for Fedora 28.

* Fri Nov 17 2017 Ben Rosser <rosser.bjr@gmail.com> - 3.04-0.3.20110801git
- Rebuild for Fedora 27.

* Wed Jul 19 2017 Ben Rosser <rosser.bjr@gmail.com> - 3.04-0.2.20110801git
- Rebuild for Fedora 26.
- Regenerate configure script via autoconf.

* Sun May 29 2016 'Ben Rosser' <rosser.bjr@gmail.com> 3.04-0.1.20110801git
- Updated tiemu to latest upstream sources (3.04 prerelease)

* Tue Dec 29 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-3
- Added fPIC to makefile when building build68k_host allowing building on F23+.

* Tue Dec 29 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-2
- Added missing dependency on dbus-glib-devel.

* Mon Aug 17 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-1
- First build of package, without embedded gdb.
- Added patch that removes GTK deprecation warnings.
